Package ru.bitel.bgbilling.kernel.contract.script.common.service

# Interface ContractScriptService

@MTOM(enabled=true) public interface ContractScriptService
Сервис скриптов поведения договора.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdditionalContractActionResult`
  `additionalContractActionInvoke(int contractId, int actionId, boolean customer, MapHolder<String,String> params)`
  Выполнение дополнительного действия.
  `List<AdditionalContractAction>`
  `additionalContractActionList(int contractId, boolean customer)`
  Deprecated.
  `List<AdditionalContractAction>`
  `additionalContractActionList(int contractId, boolean customer, MapHolder<String,String> params)`
  Получение списка дополнительных действий.
  `void`
  `contractScriptDelete(int id)`
  Удаление скрипта с договора.
  `ContractScript`
  `contractScriptGet(int id)`
  `List<ContractScript>`
  `contractScriptList(int contractId)`
  `void`
  `contractScriptUpdate(ContractScript contractScript)`
  `List<ContractScriptLog>`
  `getScriptLogList(int contractId, Period period, String title, jakarta.xml.ws.Holder<Page> pageHolder)`
  Возвращает полный список логов скриптов договора за определенный период
  `List<String>`
  `getScriptLogTitleList(int contractId, Period period)`

- ## Method Details

  - ### getScriptLogTitleList

    List<String> getScriptLogTitleList(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `contractId` - - код договора.
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getScriptLogList

    List<ContractScriptLog> getScriptLogList(int contractId, Period period, String title, jakarta.xml.ws.Holder<Page> pageHolder) throws ru.bitel.bgbilling.common.BGException
    Возвращает полный список логов скриптов договора за определенный период
    Parameters:
      `contractId` - - код договора.
      `period` - - за какой период.
      `title` - - если не равен null, то вернет логи с данным title.
      `pageHolder` - - передать null, если нужны все записи за данный период.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractScriptList

    List<ContractScript> contractScriptList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractScriptGet

    ContractScript contractScriptGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractScriptUpdate

    void contractScriptUpdate(ContractScript contractScript) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractScriptDelete

    void contractScriptDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление скрипта с договора.
    Parameters:
      `id` - - ид удаляемого скрипта.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### additionalContractActionList

    @Deprecated @RequestWrapper(className="ru.bitel.bgbilling.kernel.contract.script.common.jaxws.AdditionalContractActionListOldRequest") @ResponseWrapper(className="ru.bitel.bgbilling.kernel.contract.script.common.jaxws.AdditionalContractActionListOldResponse") List<AdditionalContractAction> additionalContractActionList(int contractId, boolean customer) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Получение списка дополнительных действий.
    Parameters:
      `contractId` -
      `customer` - только для абонента (для личного кабинета).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### additionalContractActionList

    List<AdditionalContractAction> additionalContractActionList(int contractId, boolean customer, MapHolder<String,String> params) throws ru.bitel.bgbilling.common.BGException
    Получение списка дополнительных действий.
    Parameters:
      `contractId` -
      `customer` - только для абонента (для личного кабинета).
      `params` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### additionalContractActionInvoke

    AdditionalContractActionResult additionalContractActionInvoke(int contractId, int actionId, boolean customer, MapHolder<String,String> params) throws ru.bitel.bgbilling.common.BGException
    Выполнение дополнительного действия.
    Parameters:
      `contractId` -
      `actionId` -
      `customer` - из личного кабинета.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`